# kabc Library API Documentation

Overview | Class Hierarchy | Classes | Classes (annotated) | Members | Namespaces | Source Files

# KABC::Agent Class Reference

Important!!! More...

`#include <agent.h>`

Collaboration diagram for KABC::Agent:

[legend]
List of all members.

## Public Member Functions

| Agent ()
| Agent (const QString &url)
| Agent (Addressee *addressee)
| ~Agent ()
bool | operator== (const Agent &) const
bool | operator!= (const Agent &) const
Agent & | operator= (const Agent &)
void | setUrl (const QString &url)
void | setAddressee (Addressee *addressee)
bool | isIntern () const
QString | url () const
Addressee * | addressee () const
QString | asString () const

## Friends

KABC_EXPORT QDataStream & | operator<< (QDataStream &, const Agent &)
KABC_EXPORT QDataStream & | operator>> (QDataStream &, Agent &)

## Detailed Description

Important!!!

At the moment the vcard format does not support saving and loading this entity.

Definition at line 40 of file agent.h.

## Constructor & Destructor Documentation

Agent::Agent | ( |  | ) |

| Consturctor. Creates an empty object. Definition at line 27 of file agent.cpp.

Agent::Agent | ( | const QString & | url | ) |

Consturctor.

Parameters:

  | url | A URL that describes the position of the agent file.

Definition at line 32 of file agent.cpp.

Agent::Agent | ( | Addressee * | addressee | ) |

Consturctor.

Parameters:

  | addressee | The addressee object of the agent.

Definition at line 37 of file agent.cpp.

Agent::~Agent | ( |  | ) |

| Destructor. Definition at line 42 of file agent.cpp.

## Member Function Documentation

void Agent::setUrl | ( | const QString & | url | ) |

Sets a URL for the location of the agent file.

When using this function, isIntern() will return 'false' until you use setAddressee().

Parameters:

  | url | The location URL of the agent file.

Definition at line 90 of file agent.cpp.

void Agent::setAddressee | ( | Addressee * | addressee | ) |

Sets the addressee of the agent.

When using this function, isIntern() will return 'true' until you use setUrl().

Parameters:

  | addressee | The addressee object of the agent.

Definition at line 96 of file agent.cpp.

References addressee().

bool Agent::isIntern | ( |  | ) | const

| Returns whether the agent is described by a URL (extern) or by a addressee (intern). When this method returns 'true' you can use addressee() to get a Addressee object. Otherwise you can request the URL of this agent by url() and load the data from that location. Definition at line 102 of file agent.cpp.

QString Agent::url | ( |  | ) | const

| Returns the location URL of this agent. Definition at line 107 of file agent.cpp.

Addressee * Agent::addressee | ( |  | ) | const

| Returns the addressee object of this agent. Definition at line 112 of file agent.cpp. Referenced by setAddressee().

QString Agent::asString | ( |  | ) | const

| Returns string representation of the agent. Definition at line 117 of file agent.cpp.

The documentation for this class was generated from the following files:

- agent.h
- agent.cpp

This file is part of the documentation for kabc Library Version 3.4.1.
Documentation copyright © 1996-2004 the KDE developers.
Generated on Sat Jun 11 20:31:38 2005 by doxygen 1.4.1 written by Dimitri van Heesch, © 1997-2003